Languages (Apache Commons Codec 1.22.1 API)
Description: declaration: package: org.apache.commons.codec.language.bm, class: Languages

Package org.apache.commons.codec.language.bm

# Class Languages

java.lang.Object
org.apache.commons.codec.language.bm.Languages

public class Languages extends Object
Language codes.

Language codes are typically loaded from resource files. These are UTF-8 encoded text files. They are systematically named following the pattern:

> org/apache/commons/codec/language/bm/${`NameType.getName()` languages.txt

The format of these resources is the following:

- Language: a single string containing no whitespace
- End-of-line comments: Any occurrence of '//' will cause all text following on that line to be discarded as a comment.
- Multi-line comments: Any line starting with '/*' will start multi-line commenting mode. This will skip all content until a line ending in '*' and '/' is found.
- Blank lines: All blank lines will be skipped.

Ported from language.php

This class is immutable and thread-safe.

Since:
  1.6

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Languages.LanguageSet`
  A set of languages.
  `static final class`
  `Languages.SomeLanguages`
  Some languages, explicitly enumerated.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ANY`
  Marker for any language.
  `static final Languages.LanguageSet`
  `ANY_LANGUAGE`
  Any/all languages.
  `static final Languages.LanguageSet`
  `NO_LANGUAGES`
  No languages at all.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Languages`
  `getInstance(String languagesResourceName)`
  Gets a new instance for the given resource name.
  `static Languages`
  `getInstance(NameType nameType)`
  Gets an instance for the given name type.
  `Set<String>`
  `getLanguages()`
  Gets the language set.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ANY

    public static final String ANY
    Marker for any language.
    See Also:
      - Constant Field Values

  - ### NO_LANGUAGES

    public static final Languages.LanguageSet NO_LANGUAGES
    No languages at all.

  - ### ANY_LANGUAGE

    public static final Languages.LanguageSet ANY_LANGUAGE
    Any/all languages.

- ## Method Details

  - ### getInstance

    public static Languages getInstance(NameType nameType)
    Gets an instance for the given name type.
    Parameters:
      `nameType` - The name type to lookup.
    Returns:
      An instance for the given name type.

  - ### getInstance

    public static Languages getInstance(String languagesResourceName)
    Gets a new instance for the given resource name.
    Parameters:
      `languagesResourceName` - The resource name to lookup.
    Returns:
      A new instance.

  - ### getLanguages

    public Set<String> getLanguages()
    Gets the language set.
    Returns:
      The language set.